Bug 735948 - [vdsm] [scale] extend storage domain takes 8 minutes when including 100 LUNs
Summary: [vdsm] [scale] extend storage domain takes 8 minutes when including 100 LUNs
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: oVirt
Classification: Retired
Component: vdsm
Version: unspecified
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: ---
: 3.3.4
Assignee: Saggi Mizrahi
QA Contact:
URL:
Whiteboard: storage
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-09-06 09:03 UTC by Haim
Modified: 2016-02-10 17:13 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-03-12 09:37:39 UTC
oVirt Team: Storage


Attachments (Terms of Use)
extend log. (75.97 KB, application/x-gzip)
2011-09-06 09:03 UTC, Haim
no flags Details

Description Haim 2011-09-06 09:03:07 UTC
Created attachment 521613 [details]
extend log.

Description of problem:

case: vgextend of storage domain with 100 LUNs takes 8+ minutes. 
most of the work being done on pvcreate command, which takes 3-4 seconds each. 

affect on system: since this action is considered as an sync task, rhevm fails it on timeout after 3 minutes, and rolls back transaction, which brings system out of sync. 

requirement: please go over log, and see if we can shorten operation and make it more efficient, maybe send one command with all pvs at once.

Comment 2 Dan Kenigsberg 2011-09-07 11:05:17 UTC
It is unfortunate, but way to complex to solve for 3.0. Pushing to upstream.

Comment 3 Itamar Heim 2013-03-12 09:37:39 UTC
Closing old bugs. If this issue is still relevant/important in current version, please re-open the bug.


Note You need to log in before you can comment on or make changes to this bug.